<?php
//自定义背景
add_custom_background();

// 特色图片
add_theme_support( 'post-thumbnails' );
add_image_size( 'home-tb', 500, 500, true);

// 文章形式
add_theme_support( 'post-formats', array( 'aside','gallery','link','image','quote','status','video','audio','chat' ) );

// 链接自动识别播放
function auto_player_urls($c) {
    $s = array('/^<p>(http:\/\/.*\.mp3)<\/p>$/m' => '<div class="player"><embed class="mp3_player" src="'.get_bloginfo("template_url").'/audio_player.swf?audio_file=$1&color=FFFFFF" width="207" height="60" type="application/x-shockwave-flash"></embed></div>',
    '/^<p>(http:\/\/.*\.swf)<\/p>$/m' => '<p><embed class="swf_player" src="$1" width="1000" height="550" type="application/x-shockwave-flash"></embed></p>');
    foreach($s as $p => $r){
        $c = preg_replace($p,$r,$c);
    }
    return $c;
}
add_filter( 'the_content', 'auto_player_urls' );

// 去除默认相册样式
add_filter( 'use_default_gallery_style', '__return_false' );

// 自定义HTML编辑器按钮
add_action('admin_print_scripts', 'my_quicktags');
function my_quicktags() {
    wp_enqueue_script(
        'my_quicktags',
        get_stylesheet_directory_uri().'/my-quicktags.js',
        array('quicktags')
    );
}

//自定义表情路径
function custom_smilies_src($src, $img){
    return get_option('home') . '/wp-content/themes/Venice/smilies/' . $img;
}
add_filter('smilies_src', 'custom_smilies_src', 10, 2);


if ( function_exists('register_nav_menus') ) {
	register_nav_menus(array('primary' => '头部导航栏'));
}

function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
   global $commentcount;
   if(!$commentcount) {
	   $page = ( !empty($in_comment_loop) ) ? get_query_var('cpage')-1 : get_page_of_comment( $comment->comment_ID, $args )-1;
	   $cpp=get_option('comments_per_page');
	   $commentcount = $cpp * $page;
	}
?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>" class="comment-body">
			<div class="comment-author"><?php echo get_avatar( $comment, $size = '34'); ?></div>
			<div class="comment-head">
				<span class="name"><?php printf(__('%s'), get_comment_author_link()) ?></span>
				<div class="date"><?php printf(__('%1$s %2$s'), get_comment_date('F j, Y'),  get_comment_time('H:i:G')) ?> <?php if(!$parent_id = $comment->comment_parent) {printf('#%1$s', ++$commentcount);} ?></div>
			</div>
			<div class="comment-entry">
				<div class="comment-text"><?php comment_text() ?>
					<?php if ($comment->comment_approved == '0') : ?>
					<em><?php _e('Your comment is awaiting moderation.') ?></em>
					<br />
					<?php endif; ?>
				</div>
				<div class="comment-reply"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => __('回复')))) ?></div>
			</div>
     </div>
<?php
        }

/* Mini Pagenavi v1.0 by Willin Kan. */
function pagenavi( $p = 2 ) { // 取當前頁前後各 2 頁
  if ( is_singular() ) return; // 文章與插頁不用
  global $wp_query, $paged;
  $max_page = $wp_query->max_num_pages;
  if ( $max_page == 1 ) return; // 只有一頁不用
  if ( empty( $paged ) ) $paged = 1;
  // echo '<span class="pages">Page: ' . $paged . ' of ' . $max_page . ' </span> '; // 頁數
  if ( $paged > $p + 1 ) p_link( 1, '最前頁' );
  if ( $paged > $p + 2 ) echo '... ';
  for( $i = $paged - $p; $i <= $paged + $p; $i++ ) { // 中間頁
    if ( $i > 0 && $i <= $max_page ) $i == $paged ? print "<a class='page-numbers current'>{$i}</a> " : p_link( $i );
  }
  if ( $paged < $max_page - $p - 1 ) echo '... ';
  if ( $paged < $max_page - $p ) p_link( $max_page, '最後頁' );
}
function p_link( $i, $title = '' ) {
  if ( $title == '' ) $title = "第 {$i} 頁";
  echo "<a class='page-numbers' href='", esc_html( get_pagenum_link( $i ) ), "' title='{$title}'>{$i}</a> ";
}
// -- END ----------------------------------------

?>